commit:     a5e2b76d17d3e593f4bfeec01b49a7c9af8f70ac
Author:     Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 14:15:25 2017 +0000
Commit:     Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Jul 29 14:17:56 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5e2b76d

x11-themes/laughlin-backgrounds: EAPI bump, bug 605728

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 .../laughlin-backgrounds-14.1.0.3-r1.ebuild        | 43 ++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git 
a/x11-themes/laughlin-backgrounds/laughlin-backgrounds-14.1.0.3-r1.ebuild 
b/x11-themes/laughlin-backgrounds/laughlin-backgrounds-14.1.0.3-r1.ebuild
new file mode 100644
index 00000000000..c8339b631c3
--- /dev/null
+++ b/x11-themes/laughlin-backgrounds/laughlin-backgrounds-14.1.0.3-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit versionator rpm
+
+SRC_PATH=development/15/source/SRPMS
+FEDORA=15
+
+MY_P="${PN}-$(get_version_component_range 1-3)"
+
+DESCRIPTION="Fedora official background artwork"
+HOMEPAGE="https://fedoraproject.org/wiki/F14_Artwork";
+
+SRC_URI="mirror://fedora-dev/${SRC_PATH}/${PN}-$(replace_version_separator 3 
-).fc${FEDORA}.src.rpm"
+
+LICENSE="CC-BY-SA-2.0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+S="${WORKDIR}/${MY_P}"
+
+SLOT=0
+
+src_unpack() {
+       rpm_src_unpack
+
+       # as of 2017-07-28 rpm.eclass does not unpack the further lzma
+       # file automatically.
+       unpack ./${MY_P}.tar.lzma
+}
+
+src_compile() { :; }
+src_test() { :; }
+
+src_install() {
+       # The install targets are serial anyway.
+       emake -j1 DESTDIR="${D}" install || die "emake install failed"
+}

Reply via email to